#:import utils kivy.utils
WindowManager:
    MainWindow:
    SecondWindow:



<MyButton@Button>:
    color: (1,1,1,1)
    font_size: 38
    background_color: (54/255.0,79/255.0,107/255.0,1)
    canvas.before:
        Color:
            rgba: self.background_color
        Rectangle:
            size: self.size
            pos: self.pos




<QButton@Button>:
    color: (1,1,1,1)
    font_size: 20
    background_color: (54/255.0,79/255.0,107/255.0,1)
    canvas.before:
        Color:
            rgba: self.background_color
        Rectangle:
            size: self.size
            pos: self.pos




<MyInput@TextInput>:






<MainWindow>:
    name: 'main'
    GridLayout:
        cols:1
        QButton:
            id: btn4
            text: "Dodaj pytanie"
            on_release:  app.root.current = "second"

        Label:
            id: points
            text: "0"
            font_size: 25
            background_color: (54/255.0,79/255.0,107/255.0,1)
            canvas.before:
                Color:
                    rgba: self.background_color
                Rectangle:
                    size: self.size
                    pos: self.pos
            size_hint:(1,0.25)


        Label:
            id: question
            text:
            font_size: 20
            background_color: (54/255.0,79/255.0,107/255.0,1)
            canvas.before:
                Color:
                    rgba: self.background_color
                Rectangle:
                    size: self.size
                    pos: self.pos

        GridLayout:
            cols:3
            MyButton:
                id: btn1
                text: root.ab1
                on_release:
                    app.root.Next_Question(self)
                    question.text = str(app.root.Actual_Question[3])
                    btn1.text = str(app.root.Actual_Question[0])
                    btn2.text = str(app.root.Actual_Question[1])
                    btn3.text = str(app.root.Actual_Question[2])
                    if(app.root.CorrectAnswer == True): points.text = str(int(points.text) + 1)




            MyButton:
                id: btn2
                text: root.ab1
                on_release:
                    app.root.Next_Question(self)
                    question.text = str(app.root.Actual_Question[3])
                    btn1.text = str(app.root.Actual_Question[0])
                    btn2.text = str(app.root.Actual_Question[1])
                    btn3.text = str(app.root.Actual_Question[2])
                    if(app.root.CorrectAnswer == True): points.text = str(int(points.text) + 1)




            MyButton:
                id: btn3
                text: root.ab1
                on_release:
                    app.root.Next_Question(self)
                    question.text = str(app.root.Actual_Question[3])
                    btn1.text = str(app.root.Actual_Question[0])
                    btn2.text = str(app.root.Actual_Question[1])
                    btn3.text = str(app.root.Actual_Question[2])
                    if(app.root.CorrectAnswer == True): points.text = str(int(points.text) + 1)





<SecondWindow>:
    name: "second"
    GridLayout:
        cols:2
        GridLayout:
            cols:1
            MyInput:
                id: an1_input
            MyInput:
                id: an2_input
            MyInput:
                id: an3_input
            MyInput:
                id: question_input
            MyInput:
                id: CAn_input
        GridLayout:
            cols:1
            Button:
                background_color: (54/255.0,79/255.0,107/255.0,1)
                text: "Go Back"
                on_release: app.root.current = "main"
                size_hint: (1, .5)
            Button:
                background_color: (54/255.0,79/255.0,107/255.0,1)
                text: "Submit"
                size_hint: (1, .5)
                on_release:
                    root.Add_Question()









